## ros-jazzy-rosidl-runtime-c 4.6.2

=== debian/changelog ===
ros-jazzy-rosidl-runtime-c (4.6.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.6.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.6.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.5.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.5.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.5.0-2bookworm) bookworm; urgency=high

  * Switch to target_link_libraries. (#776 <https://github.com/ros2/rosidl/issues/776>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.4.2-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.4.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.4.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.3.1-2bookworm) bookworm; urgency=high

  * Set the C++ version to 17. (#761 <https://github.com/ros2/rosidl/issues/761>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.3.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.2.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.1.1-2bookworm) bookworm; urgency=high

  * Mark _ in benchmark tests as unused. (#741 <https://github.com/ros2/rosidl/issues/741>)
    This helps clang static analysis.
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.1.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (4.0.0-2bookworm) bookworm; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rosidl (#737 <https://github.com/ros2/rosidl/issues/737>)
  * Runtime Interface Reflection: rosidl (#728 <https://github.com/ros2/rosidl/issues/728>)
  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Copied type_description_interfaces structs (rep2011) (#732 <https://github.com/ros2/rosidl/issues/732>)
  * Expose type hash on typesupports (rep2011) (#729 <https://github.com/ros2/rosidl/issues/729>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.4.0-2bookworm) bookworm; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.3.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.3.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Sep 2022 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.2.1-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Jun 2022 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.2.0-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.1.3-2bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.1.2-2bookworm) bookworm; urgency=high

  * Fix error handling when copying C sequence messages (#671 <https://github.com/ros2/rosidl/issues/671>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.1.1-2bookworm) bookworm; urgency=high

  * Set the output size unconditionally when copying sequences (#669 <https://github.com/ros2/rosidl/issues/669>)
  * Contributors: Nikolai Morin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.1.0-2bookworm) bookworm; urgency=high

  * De-duplicate Quality Level from README and QUALITY_DECLARATION (#661 <https://github.com/ros2/rosidl/issues/661>)
  * Install headers to include/${PROJECT_NAME} (#658 <https://github.com/ros2/rosidl/issues/658>)
  * Implement copy function for C messages (#650 <https://github.com/ros2/rosidl/issues/650>)
  * Implement equality operator function for C messages. (#648 <https://github.com/ros2/rosidl/issues/648>)
  * Contributors: Jose Luis Rivero, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-rosidl-runtime-c (3.0.1-2bookworm) bookworm; urgency=high

  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Øystein Sture


